Skip to main content

Cleanup OpenSearch snapshot repository

POST 

/sites/global/opensearch/snapshotRepositories/:repositoryName/cleanup

Cleans up stale data in the specified OpenSearch snapshot repository.

This endpoint clears data no longer referenced by any existing snapshot. This operation is not supported for OpenSearch Serverless.

Request

Path Parameters

    repositoryName stringrequired

    Snapshot Repository Name

Query Parameters

    cluster_manager_timeout string

    The amount of time to wait for a response from the cluster manager node.

    timeout string

    The amount of time to wait for the operation to complete.

Responses

200 OK

Response Headers

  • Access-Control-Allow-Origin

    string

  • Access-Control-Allow-Methods

    string

  • Access-Control-Allow-Headers

    string

Schema

    message string

    The OpenSearch cleanup snapshot repository response.

Loading...